package ru.yandex.webmaster3.storage.host.data;

import ru.yandex.webmaster3.core.data.WebmasterHostId;

/**
 * @author avhaliullin
 */
public class HostRobotsTxtInfo {
    private final WebmasterHostId hostId;
    private final boolean hasRobotsTxt;
    private final WebmasterHostId targetHostId;

    public HostRobotsTxtInfo(WebmasterHostId hostId, boolean hasRobotsTxt, WebmasterHostId targetHostId) {
        this.hostId = hostId;
        this.hasRobotsTxt = hasRobotsTxt;
        this.targetHostId = targetHostId;
    }

    public WebmasterHostId getHostId() {
        return hostId;
    }

    public WebmasterHostId getTargetHostId() {
        return targetHostId;
    }

    public boolean isHasRobotsTxt() {
        return hasRobotsTxt;
    }
}
